/*!*******************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!../themes/cls.css ***!
  \*******************************************************************/
/*Arquivo CSS dedicado para evitar CLS no site*/

body.cls {
  /* background: blue; */

  .banner-placeholder {
    display: none;
  }

  .cls-hidden {
    overflow: hidden;
  }

  .categorias-section {
    .categorias-wrapper {
      a:has(> img) {
        display: block;
        height: 106px;
        width: auto;
      }
    }
  }

  #ofertas-relampago .ofertas-relampago-carousel,
  .categories-carousel,
  .bannerPrincipal,
  .banners-destaque .container,
  .banner-mini-carousel,
  .destaque-carousel,
  .exclusivos-carousel,
  .blog-carousel,
  .big-manufactures-carousel,
  .slick-carousel,
  .bannerPrincipalMobile,
  .slick-shop-info-1,
  .slick-shop-info-2{
    &:not(.slick-initialized) {
      overflow: hidden;
      display: flex !important; 
      flex-direction: row !important;
      flex-wrap: nowrap;
    }
  }
                                                                                                                                                                                                                                                              
  /*Ajustes desktop */
  @media (min-width: 992px) {

    .banner-central-mini-carousel:not(.mobile){
      &:not(.slick-initialized) {
        overflow: hidden;
        display: flex !important;
        flex-wrap: nowrap;
      }
    }
    .bannerPrincipal {
      img {
        height: 601px;
      }
    }

    .big-manufactures-carousel {
      img {
        height: 185px;
      }
    }

    .blog-carousel {
      height: 572px;
    }

    #newsletter {
      height: 417px;
    }

    .banner-mini-carousel {
      height: 431px;
    }

    .banners-destaque {
      .container {
        height: 660px; 

        div>img:not(.selo) {
          min-height: 563px !important;
        }
      }
    }
  }

  /*Ajustes mobile*/
  @media(max-width: 992px) {}

  @media (max-width: 767px) {

    .logo-footer{
      height: 94px;
    }

    .socials{
      li.instagram,
      li.facebook{
        height: 45px;
      }

    }

    .slick-shop-info-1{
      height: 300px;
    }

    .slick-shop-info-2 {
      height: 98px;
    }

    .banner-central-mini-carousel.mobile{
      &:not(.slick-initialized) {
        overflow: hidden;
        display: flex !important;
        flex-wrap: nowrap;
        background-color: red;
      }
    }

    .bannerPrincipalMobile {
      &:not(.slick-initialized) {
        a{
          height: 437px;
        }
      }
    }

    .big-manufactures-carousel {
      .big-manufactures-card {
        height: 160px;
      }
    }

    .banner-central-mini-carousel{
      a{
        height: 275px;
      }
    }

    .banner-mini-carousel{
      height: 466px;
    }

    .banners-destaque {
      .container {
        div>img:not(.selo) {
          min-height: 563px !important;
        }
      }
    }

    .blog header{
      .image-wrapper{
        height: 73px;
      }
    }
  }
}
